use gtk::glib::Object;

pub struct Card {
    image_path: Option<String>,
    hieroglyph: Option<String>,
    reading: Option<String>,
    translation: Option<String>,
}

impl Card {

    pub fn new(image_path: Option<String>, hieroglyph: Option<String>, reading: Option<String>, translation: Option<String>) -> Card {
        Card {
            image_path, hieroglyph, reading, translation
        }
    }

    pub fn image_path(&self) -> Option<&String> {
        match &self.image_path {
            Some(v) => Some(&v),
            None => None,
        }
    }

    pub fn hieroglyp(&self) -> Option<&String> {
        match &self.image_path {
            Some(v) => Some(&v),
            None => None,
        }
    }

    pub fn reading(&self) -> Option<&String> {
        match &self.reading {
            Some(v) => Some(&v),
            None => None,
        }
    }

    pub fn translation(&self) -> Option<&String> {
        match &self.translation {
            Some(v) => Some(&v),
            None => None,
        }
    }

}
